part of fullauth_api_flutter_client_library;

enum OauthAccessType { online, offline }

extension OauthAccessTypeExtension on OauthAccessType {
  // ignore: missing_return
  String get type {
    switch (this) {
      case OauthAccessType.online:
        return "online";
        break;
      case OauthAccessType.offline:
        return "offline";
        break;
    }
  }

  // ignore: missing_return
  OauthAccessType getType(String accessType) {
    switch (accessType.toUpperCase()) {
      case "ONLINE":
        return OauthAccessType.online;
        break;
      case "OFFLINE":
        return OauthAccessType.offline;
        break;
    }
  }
}
